tool
extends SummerDayEditable
class_name SummerDayEditableTube


func _check_for_selection(event: InputEvent): # Virtual.
	pass


func _interact(event: InputEvent): # Virtual.
	pass


func update_table():
	pass # TODO: Do I even need this?!


func _update_table(table: Image): # Virtual.
	pass


func _is_point_included(point: Vector2) -> bool: # Virtual.
	return false
	
